## GstTracerFactory GstTracerFactory — Information about registered tracer functions |

## Functions

GList * | gst_tracer_factory_get_list ()
GType | gst_tracer_factory_get_tracer_type ()

## Types and Values

| GstTracerFactory

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPluginFeature
                    ╰── GstTracerFactory

## Includes

    #include <gst/gstprotection.h>

## Description

Use `gst_tracer_factory_get_list()` to get a list of tracer factories known to GStreamer.

## Functions

### gst_tracer_factory_get_list ()

    GList *
    gst_tracer_factory_get_list (void);

Gets the list of all registered tracer factories. You must free the list using `gst_plugin_feature_list_free()`.

The returned factories are sorted by factory name.

Free-function: gst_plugin_feature_list_free

#### Returns

the list of all registered GstTracerFactory.

[transfer full][element-type Gst.TracerFactory]

Since: 1.8

### gst_tracer_factory_get_tracer_type ()

    GType
    gst_tracer_factory_get_tracer_type (GstTracerFactory *factory);

Get the GType for elements managed by this factory. The type can only be retrieved if the element factory is loaded, which can be assured with `gst_plugin_feature_load()`.

#### Parameters

factory | factory to get managed GType from |

#### Returns

the GType for tracers managed by this factory or 0 if the factory is not loaded.

## Types and Values

### GstTracerFactory

    typedef struct _GstTracerFactory GstTracerFactory;

Opaque object that stores information about a tracer function.

Since: 1.8